/* FONTS */
@import url('https://fonts.googleapis.com/css2?family=Doto:wght@100..900&display=swap');
/* Maybe switch with Geist */
@import url('https://fonts.googleapis.com/css2?family=Geist:wght@100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Geist+Mono:wght@100..900&display=swap');

/* CLEAN UP */

:root {
    --bg-primary: #111111;
    --bg-secondary: #1e1e1e;

    --border-primary: #323232;
    --border-secondary: #161615;

    --text-primary: #f0f0f0;
    --text-secondary: #a0a0a0;




    --dark-grey-border: #222;
    --light-border: #656565;
    --dark-grey-text: #97979d;
    --light-grey-text: #c6c9cb;
    --light-text: #fff;
}

body {
    background-color: var(--bg-primary);
    margin: 0;
    padding: 0;
    min-height: 100dvh;
    font-size: 12px;
    scrollbar-color: var(--border-primary) transparent;
}

* {
    max-width: 100%;
    box-sizing: border-box;
}

p,
h1,
h2,
h3,
h4 {
    margin: 0;
}

/* SOMETHING */

.flex {
    display: flex;
}

img {
    user-select: none;
}

/* ORGANIZATION */
.hidden {
    display: none;
}

.container {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
}

.content {
    display: flex;
}

.grid {
    display: grid;
}

.wrap {
    flex-wrap: wrap;
}

.column {
    flex-direction: column;
}

.row {
    flex-direction: row;
}

.space-between {
    justify-content: space-between;
}




.width-33 {
    width: calc(100%/3);
}

.width-50 {
    width: 50%;
}

.width-66 {
    width: calc(100%/3*2);
}

.width-100 {
    width: 100%;
}

.height-50 {
    height: 50%;
}   

.height-100 {
    height: 100%!important;
}

.full-height {
    height: 100vh;
    height: 100dvh;
}

.full-width {
    width: 100vw;
}

.pad-15 {
    padding: 15px;
}

.pad {
    padding: var(--pad);
}

.margin {
    margin: var(--margin);
}

.gap {
    gap: var(--gap);
}

.width {
    width: var(--width);
}

.height {
    height: var(--height);
}

.border {
    border: var(--border);
}

.vertical-center {
    align-items: center;
}

.horizontal-center {
    justify-content: center;
}

.one-line {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
}

.space-around {
    justify-content: space-around
}




.column.middle {
    justify-content: center;
}

.column.center {
    align-items: center;
}

.row.middle {
    align-items: center;
}

.row.center {
    justify-content: center;
}



.no-overflow {
    /*overflow: hidden;*/
    overscroll-behavior-y: contain;
    overflow-y: auto;
}







.card {
    background-color: var(--bg-secondary);
    padding: 15px;
    /*margin: 15px 0;*/
    box-shadow: 0 0 1px inset;
    border-left: 2px solid var(--border-primary);
    color: var(--text-primary);
    height: fit-content;
}

/* TYPOGRAPHY */

a {
    text-decoration: none;
}

h1, h2, h3, h4 {
    font-family: 'Doto', sans-serif;
    
    font-weight: 400;
    color: #fff;
}

h1 {
    font-size: 64px;
}

h2 {
    font-size: 48px;
}

h3 {
    font-size: 32px;
}

h4 {
    font-size: 16px;
}

.text-center {
    text-align: center;
}

.text-one-line {
    white-space: nowrap;
}




@keyframes glow-sine {
    0% {
        text-shadow: 0px 0px 20px #ffffff80;
    }
    50% {
        text-shadow: 0px 0px 20px #ffffff;
    }
    100% {
        text-shadow: 0px 0px 20px #ffffff80;
    }
}

.glow {
    text-shadow: 1px 1px 20px #ffffff80;
    animation: glow-sine;
    animation-duration: 2s;
    animation-timing-function: cubic-bezier(0.445, 0.05, 0.55, 0.95);
    animation-iteration-count: infinite;
}


p {
    font-family: "Geist Mono", monospace;
    font-weight: 400;
    padding: 10px 0px;
    font-size: 1em;
    color: #fff;
}

a {
    font-family: "Geist Mono", monospace;
    font-weight: 400;
    font-size: 1em;
    color: #fff;
}



/* FORM */

input[type="text"],
input[type="number"],
input[type="email"],
input[type="tel"],
input[type="search"],
input[type="password"],
input[type="url"],
textarea,
select,
label {
  font-size: 16px;
}



form textarea {
    resize: vertical;
}

label {
    font-family: "Geist Mono", monospace;
    font-weight: 400;
    padding: 10px 0px;
    color: #fff;
}


input[type="button"], input[type="submit"], button[type="submit"], button, a.btn {
    font-family: "Geist Mono", monospace;
    color: var(--text-primary);
    border-style: none;
    border-color: transparent;
    border-width: 0px;
    border-image: none;
    padding-block: 0;
    padding-inline: 0;
    background-color: var(--bg-primary);
    padding: 10px;
    border-top: 2px solid var(--text-primary);
    height: fit-content;
    cursor: pointer;
    transition: all .3s ease;
    outline: solid 1px transparent;
    text-align: center;
    text-decoration: none;
    user-select: none;
}

input[type="button"]:hover, input[type="submit"]:hover, button[type="submit"]:hover, button:hover, a.btn:hover  {
    outline: solid 1px var(--border-primary);
}


input[type="text"], input[type="password"], input[type="email"], input[type="search"], input[type="url"], input[type="number"], textarea, select {
    font-family: "Geist Mono", monospace;
    color: var(--text-primary);
    border-width: 0;
    background-color: var(--bg-primary);
    padding: 10px;
    height: fit-content;
}

input[type="text"]:focus-visible, input[type="password"]:focus-visible, input[type="email"]:focus-visible, input[type="search"]:focus-visible, input[type="url"]:focus-visible, input[type="number"]:focus-visible, textarea:focus-visible, select:focus-visible {
    outline: solid 1px var(--border-primary);
}

input[type="text"]:disabled, input[type="password"]:disabled, input[type="email"]:disabled, input[type="search"]:disabled, input[type="url"]:disabled, textarea:disabled {
    background-color: var(--bg-secondary);
    outline: solid 1px var(--border-primary);
}







/* POPUP*/

.popup {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;

    background-color: rgba(0,0,0,0);
    backdrop-filter: blur(2px);

    pointer-events: none;
    
    transition: all .3s ease;
}

.popup.active {
    background-color: rgba(0,0,0,0.7);
    pointer-events: all;
}

.popup>.content {
    opacity: 0;

    position: fixed;
    left: 50%;
    top: 50%;
    height: fit-content;
    width: fit-content;
    transform: translate(-50%, -50%);

    padding: 5px;
    background-color: var(--bg-secondary);
    box-shadow: 0 0 1px inset;
    color: var(--text-primary);
    
    transition: all .3s ease;
}

.popup.active .content {
    opacity: 1;
}
